## r-cran-future.batchtools 0.8.1+dfsg

=== DESCRIPTION ===
Package: future.batchtools
Version: 0.8.1
Depends: R (>= 3.2.0), future (>= 1.14.0)
Imports: batchtools (>= 0.9.11)
Suggests: future.apply, listenv, markdown, R.rsp
VignetteBuilder: R.rsp
Title: A Future API for Parallel and Distributed Processing using
        'batchtools'
Authors@R: c(person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
                                          email = "henrikb@braju.com"))
Description: Implementation of the Future API on top of the 'batchtools' package.
    This allows you to process futures, as defined by the 'future' package,
    in parallel out of the box, not only on your local machine or ad-hoc
    cluster of machines, but also via high-performance compute ('HPC') job
    schedulers such as 'LSF', 'OpenLava', 'Slurm', 'SGE', and 'TORQUE' / 'PBS',
    e.g. 'y <- future.apply::future_lapply(files, FUN = process)'.
License: LGPL (>= 2.1)
LazyLoad: TRUE
URL: https://github.com/HenrikBengtsson/future.batchtools
BugReports: https://github.com/HenrikBengtsson/future.batchtools/issues
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2019-10-01 02:50:03 UTC; hb
Author: Henrik Bengtsson [aut, cre, cph]
Maintainer: Henrik Bengtsson <henrikb@braju.com>
Repository: CRAN
Date/Publication: 2019-10-01 05:10:05 UTC

## r-cran-future.batchtools 0.8.0

=== debian/changelog ===
r-cran-future.batchtools (0.8.0-1) unstable; urgency=medium

  * Initial release (closes: #934695)

 -- Steffen Moeller <moeller@debian.org>  Tue, 13 Aug 2019 16:55:13 +0200

=== debian/control ===
Source: r-cran-future.batchtools
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-future (>= 1.12.0),
               r-cran-batchtools
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future.batchtools
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.batchtools.git
Homepage: https://cran.r-project.org/package=future.batchtools

Package: r-cran-future.batchtools
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
 gridengine-client,
 slurm-client
Description: Future API for Parallel and Distributed Processing
 Implementation of the Future API on top of the 'batchtools' package.
 This allows you to process futures, as defined by the 'future' package,
 in parallel out of the box, not only on your local machine or ad-hoc
 cluster of machines, but also via high-performance compute ('HPC') job
 schedulers such as 'LSF', 'OpenLava', 'Slurm', 'SGE', and 'TORQUE' / 'PBS',
 e.g. 'y <- future.apply::future_lapply(files, FUN = process)'.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/future.batchtools_([-\d.]*)\.tar\.gz

## r-cran-future.batchtools 0.8.1+dfsg

=== debian/changelog ===
r-cran-future.batchtools (0.8.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Repository.
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Mon, 07 Oct 2019 10:49:51 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
-               r-cran-future (>= 1.12.0),
+               r-cran-future (>= 1.14.0),
                r-cran-batchtools
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future.batchtools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.batchtools.git
 Homepage: https://cran.r-project.org/package=future.batchtools
@@ -20,8 +20,8 @@
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests},
- gridengine-client,
- slurm-client
+          gridengine-client,
+          slurm-client
 Description: Future API for Parallel and Distributed Processing
  Implementation of the Future API on top of the 'batchtools' package.
  This allows you to process futures, as defined by the 'future' package,

## r-cran-future.batchtools 0.9.0+dfsg

=== debian/changelog ===
r-cran-future.batchtools (0.9.0+dfsg-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:14:48 +0000

r-cran-future.batchtools (0.9.0+dfsg-2) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2020 11:18:44 +0200

r-cran-future.batchtools (0.9.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 16 Apr 2020 22:47:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-cran-future.batchtools
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -9,10 +10,11 @@
                r-base-dev,
                r-cran-future (>= 1.14.0),
                r-cran-batchtools
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future.batchtools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.batchtools.git
 Homepage: https://cran.r-project.org/package=future.batchtools
+Rules-Requires-Root: no
 
 Package: r-cran-future.batchtools
 Architecture: all

## r-cran-future.batchtools 0.10.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: future.batchtools
-Version: 0.8.1
-Depends: R (>= 3.2.0), future (>= 1.14.0)
-Imports: batchtools (>= 0.9.11)
+Version: 0.10.0
+Depends: R (>= 3.2.0), future (>= 1.17.0)
+Imports: batchtools (>= 0.9.13), utils
 Suggests: future.apply, listenv, markdown, R.rsp
 VignetteBuilder: R.rsp
 Title: A Future API for Parallel and Distributed Processing using
@@ -18,10 +18,10 @@
 LazyLoad: TRUE
 URL: https://github.com/HenrikBengtsson/future.batchtools
 BugReports: https://github.com/HenrikBengtsson/future.batchtools/issues
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2019-10-01 02:50:03 UTC; hb
+Packaged: 2021-01-02 23:59:34 UTC; hb
 Author: Henrik Bengtsson [aut, cre, cph]
 Maintainer: Henrik Bengtsson <henrikb@braju.com>
 Repository: CRAN
-Date/Publication: 2019-10-01 05:10:05 UTC
+Date/Publication: 2021-01-04 21:20:13 UTC

=== debian/changelog ===
r-cran-future.batchtools (0.10.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jan 2021 20:07:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: r-cran-future.batchtools
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-future (>= 1.14.0),
-               r-cran-batchtools
-Standards-Version: 4.5.0
+               r-cran-future (>= 1.17.0),
+               r-cran-batchtools (>= 0.9.13)
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future.batchtools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.batchtools.git
 Homepage: https://cran.r-project.org/package=future.batchtools

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/future.batchtools_([-\d.]*)\.tar\.gz

## r-cran-future.batchtools 0.11.0+dfsg

=== debian/changelog ===
r-cran-future.batchtools (0.11.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Update lintian override info format in
    d/r-cran-future.batchtools.lintian-overrides on line 3-4.
  * Set upstream metadata fields: Bug-Submit.
  * Add more lintian-overrides false positives

 -- Andreas Tille <tille@debian.org>  Tue, 20 Dec 2022 09:07:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: r-cran-future.batchtools
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future.batchtools
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.batchtools.git
+Homepage: https://cran.r-project.org/package=future.batchtools
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-future (>= 1.17.0),
+               r-cran-parallelly,
+               r-cran-future (>= 1.29.0),
                r-cran-batchtools (>= 0.9.13)
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future.batchtools
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.batchtools.git
-Homepage: https://cran.r-project.org/package=future.batchtools
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-future.batchtools
 Architecture: all

## r-cran-future.batchtools 0.12.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: future.batchtools
-Version: 0.10.0
-Depends: R (>= 3.2.0), future (>= 1.17.0)
+Version: 0.12.0
+Depends: R (>= 3.2.0), parallelly, future (>= 1.31.0)
 Imports: batchtools (>= 0.9.13), utils
-Suggests: future.apply, listenv, markdown, R.rsp
+Suggests: globals, future.apply, listenv, markdown, R.rsp
 VignetteBuilder: R.rsp
 Title: A Future API for Parallel and Distributed Processing using
         'batchtools'
@@ -16,12 +16,13 @@
     e.g. 'y <- future.apply::future_lapply(files, FUN = process)'.
 License: LGPL (>= 2.1)
 LazyLoad: TRUE
-URL: https://github.com/HenrikBengtsson/future.batchtools
+URL: https://future.batchtools.futureverse.org,
+        https://github.com/HenrikBengtsson/future.batchtools
 BugReports: https://github.com/HenrikBengtsson/future.batchtools/issues
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2021-01-02 23:59:34 UTC; hb
+Packaged: 2023-02-22 16:29:26 UTC; henrik
 Author: Henrik Bengtsson [aut, cre, cph]
 Maintainer: Henrik Bengtsson <henrikb@braju.com>
 Repository: CRAN
-Date/Publication: 2021-01-04 21:20:13 UTC
+Date/Publication: 2023-02-24 09:30:02 UTC

=== debian/changelog ===
r-cran-future.batchtools (0.12.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 27 Feb 2023 21:16:34 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                dh-r,
                r-base-dev,
                r-cran-parallelly,
-               r-cran-future (>= 1.29.0),
+               r-cran-future (>= 1.31.0),
                r-cran-batchtools (>= 0.9.13)
 Testsuite: autopkgtest-pkg-r

## r-cran-future.batchtools 0.12.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Package: future.batchtools
-Version: 0.12.0
+Version: 0.12.1
 Depends: R (>= 3.2.0), parallelly, future (>= 1.31.0)
-Imports: batchtools (>= 0.9.13), utils
+Imports: batchtools (>= 0.9.16), utils
 Suggests: globals, future.apply, listenv, markdown, R.rsp
 VignetteBuilder: R.rsp
 Title: A Future API for Parallel and Distributed Processing using
         'batchtools'
-Authors@R: c(person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
-                                          email = "henrikb@braju.com"))
+Authors@R: c(person("Henrik", "Bengtsson",
+                    role = c("aut", "cre", "cph"),
+                    email = "henrikb@braju.com",
+                    comment = c(ORCID = "0000-0002-7579-5165")))
 Description: Implementation of the Future API on top of the 'batchtools' package.
     This allows you to process futures, as defined by the 'future' package,
     in parallel out of the box, not only on your local machine or ad-hoc
@@ -21,8 +23,9 @@
 BugReports: https://github.com/HenrikBengtsson/future.batchtools/issues
 RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2023-02-22 16:29:26 UTC; henrik
+Packaged: 2023-12-20 03:12:03 UTC; henrik
 Author: Henrik Bengtsson [aut, cre, cph]
+    (<https://orcid.org/0000-0002-7579-5165>)
 Maintainer: Henrik Bengtsson <henrikb@braju.com>
 Repository: CRAN
-Date/Publication: 2023-02-24 09:30:02 UTC
+Date/Publication: 2023-12-20 12:20:02 UTC

=== debian/changelog ===
r-cran-future.batchtools (0.12.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 23 Dec 2023 17:31:55 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                r-base-dev,
                r-cran-parallelly,
                r-cran-future (>= 1.31.0),
-               r-cran-batchtools (>= 0.9.13)
+               r-cran-batchtools (>= 0.9.16)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-future.batchtools

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-globals,
        r-cran-future.apply,
        r-cran-listenv,
        r-cran-markdown,
        r-cran-r.rsp
Restrictions: allow-stderr

## r-cran-future.batchtools 0.21.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,24 @@
 Source: r-cran-future.batchtools
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future.batchtools
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.batchtools.git
-Homepage: https://cran.r-project.org/package=future.batchtools
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-parallelly,
-               r-cran-future (>= 1.31.0),
-               r-cran-batchtools (>= 0.9.16)
-Testsuite: autopkgtest-pkg-r
+               r-cran-future (>= 1.58.0),
+               r-cran-batchtools (>= 0.9.17),
+               r-cran-checkmate,
+               r-cran-stringi,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future.batchtools
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.batchtools.git
+Homepage: https://cran.r-project.org/package=future.batchtools
+Rules-Requires-Root: no
 
 Package: r-cran-future.batchtools
 Architecture: all

## r-cran-future.batchtools 0.21.0+dfsg

=== debian/changelog ===
r-cran-future.batchtools (0.21.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  Set upstream metadata fields: Repository, Repository-Browse.

 -- Charles Plessy <plessy@debian.org>  Wed, 24 Dec 2025 10:46:46 +0900
